Subject: Re: [INDEP] Re: Last call on draft-klensin-independent...

From: Brian E Carpenter <[email-masked]>
Date: Wed, 03 Jan 2007 13:35:06 +0100

On 2006-12-27 20:00, Bernard Aboba wrote:
> I did note an issue which I think could use more clarification in this document,
> which is whether the Independent Submission track is solely for 
> publication of Informational/Experimental RFCs, or whether it can be also 
> used to publish BCPs or Standards track RFCs.   I would like to see an 
> explicit statement in the document saying that the process only applies to 
> Informational/Experimental documents, and cannot be used for other 
> purposes.

It would do no harm, but since RFC 2026 prescribes that BCPs and
standards track documents must be discussed in the IETF and
approved by the IESG, I don't think there is any possible
ambiguity.

> RFC 3932 Section 1 says that it solely concerns "RFC Editor
> documents to Experimental/ Informational" status.  This implies that
> the process defined in that document can't be used for Standard track 
> documents, but it doesn't preclude other documents from specifying such a 
> process.  Given this, I would like to make sure that 
> draft-klensin-independent isn't construed as widening the applicability of 
> the Independent submission process beyond Informational/Experimental RFC 
> publication.
> 
> RFC 3932 Section 4 notes that a boilerplate should be included on the
> document which says: "This RFC is not a candidate for any level of
> Internet Standard", which would again seem to imply exclusion of
> Standards Track documents, and possibly even Experimental documents, which 
> typically include a statement more along these lines:
> 
>    This memo defines an Experimental Protocol for the Internet
>    community.  It does not specify an Internet standard of any kind.
> 
> Since documents published as Experimental can eventually be moved onto the 
> standards track, while they don't specify Internet standards, they remain 
> candidates for consideration. 

I am quite sure there are zero instances of an Experimental RFC
being promoted to standards track without any revision.
At the minimum, it would need revision to to remove those words
saying it isn't on the standards track. So I think this is a
non-problem.

    Brian

_______________________________________________
INDEPENDENT mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/independent

---

From: Bob Braden <[email-masked]>
Date: Tue, 23 Jan 2007 10:05:40 -0800 (PST)

*> My concern in part derives from recent Independent Submissions which, 
  *> while specified as Informational Status, modify Standards Track 
  *> documents, or request the allocation of IANA parameters reserved for 
  *> Standards Action or IETF Consensus.  This does not appear to be precluded 
  *> by this document, yet if allowed to proceed would circumvent RFC 2026. 
  *> 
  *> > 

I hear with your concerns.  Let's try to talk about specific examples.
The IANA parameters are clearly wrong.  Now, an Independent Submission
should be able to DISCUSS or SUGGEST a POSSIBLE change in a standards
track protocol, I believe; it should not go beyond that, and it should
be clear.  Do you think we have violated this?

Bob Braden

---

From: Bob Braden <[email-masked]>
Date: Tue, 23 Jan 2007 12:02:24 -0800 (PST)

*> explicitly require an IANA review -- perhaps that should be
  *> fixed, or perhaps we can rely on the RFC Editor's good sense
  *> when a document appears to require IANA actions).
  *> 

Note that the problem is not just any IANA action... an experimental
protocol that is outside the IETF may register with IANA.  The bug is
if the action for an independent submission is treated as a STANDARDS
registration, subject to IETF consensus, etc.

  *> It seems to me that your request is getting close to a provision
  *> that says "the RFC Editor will not be stupid and will avoid
  *> acting in ways that are obviously intended to end-run
  *> established IETF or IANA procedures or otherwise against the
  *> clear best interests of the community".   If there is consensus

The RFC Editor agrees to not be stupid and to avoid acting in ways
that are obviously intended to end-run established community procedures
or in any other way act against the best interests of the community.

In fact, come to think of it, the RFC Editor has been trying its best
to accomplish this since before a number of you were born.  Hey,
let's codify Truth, Justics, and the American Way of Life!

Bob Braden

  *> that such a statement should be added, and on appropriate text,
  *> I'll be happy to add it.   However...
  *> 
  *>     john
  *>